# Class default

- Defined in src/public/app/services/spaced_update.ts:3

##### Index

### Constructors

constructor

### Methods

allowUpdateWithoutChange
isAllSavedAndTriggerUpdate
resetUpdateTimer
scheduleUpdate
triggerUpdate
updateNowIfNecessary

## Constructors

### constructor

- new default(updater: Callback, updateInterval?: number): default

  #### Parameters

  - updater: Callback
  - updateInterval: number = 1000

  #### Returns default

  - Defined in src/public/app/services/spaced_update.ts:10

## Methods

### allowUpdateWithoutChange

- allowUpdateWithoutChange(callback: Callback): Promise<void>

  #### Parameters

  - callback: Callback

  #### Returns Promise<void>

  - Defined in src/public/app/services/spaced_update.ts:69

### isAllSavedAndTriggerUpdate

- isAllSavedAndTriggerUpdate(): boolean

  #### Returns boolean

  - Defined in src/public/app/services/spaced_update.ts:38

### resetUpdateTimer

- resetUpdateTimer(): void

  Normally () would actually trigger the update only once per updateInterval. If the method is called 200 times within 20s, it will execute only 20 times. Sometimes, if the updates are continuous this would cause a performance impact. Resetting the time ensures that the calls to triggerUpdate have stopped before actually triggering an update.

  #### Returns void

  - Defined in src/public/app/services/spaced_update.ts:50

### scheduleUpdate

- scheduleUpdate(): void

  #### Returns void

  - Defined in src/public/app/services/spaced_update.ts:17

### triggerUpdate

- triggerUpdate(): void

  #### Returns void

  - Defined in src/public/app/services/spaced_update.ts:54

### updateNowIfNecessary

- updateNowIfNecessary(): Promise<void>

  #### Returns Promise<void>

  - Defined in src/public/app/services/spaced_update.ts:24